# Gimp.Path.new_from_text_layer

    function new_from_text_layer(image: Gimp.Image, layer: Gimp.Layer): Gimp.Path {
        // Gjs wrapper for gimp_path_new_from_text_layer()
    }

Creates a new path object from a text layer.

Creates a new path object from a text layer. The path object needs to be added to the image using Gimp.Image.prototype.insert_path.

Since 2.6

image

  The image.

layer

  The text layer.

Returns

  The path of the text layer.